# Schedule a job

`POST /v1.0-alpha1/jobs/{jobName}`

Schedule a job with a name. Jobs are scheduled based on the clock of the server  where the Scheduler service is running. The timestamp is not converted to UTC.  You can provide the timezone with the timestamp in RFC3339 format to specify  which timezone you'd like the job to adhere to. If no timezone is provided,  the server's local time is used.

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `jobName` | string | Yes | Name of the job you're scheduling. Pattern: `^[a-zA-Z0-9_-]+$`. |

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `overwrite` | boolean | No | A boolean value to specify if the job can overwrite an existing one with the same name. Default: `false`. |

### Request body

Required.

`application/json`

- `data` — A JSON serialized value or object.
- `schedule` (string) — An optional schedule at which the job is to be run. Accepts systemd timer-style cron expressions (6 fields: seconds, minutes, hours, day of month, month, day of week) or human readable '@' prefixed period strings (@every, @yearly, @monthly, @weekly, @daily, @hourly).
- `dueTime` (string) — An optional time at which the job should be active, or the "one shot" time, if other scheduling type fields are not provided. Accepts a "point in time" string in the format of RFC3339, Go duration string (calculated from creation time), or non-repeating ISO8601.
- `repeats` (integer) — An optional number of times in which the job should be triggered. If not set, the job runs indefinitely or until expiration.
- `ttl` (string) — An optional time to live or expiration of the job. Accepts a "point in time" string in the format of RFC3339, Go duration string (calculated from job creation time), or non-repeating ISO8601.
- `failure_policy` (object) — An optional failure policy for the job.
  - One of:
    - **option 1**
    - **option 2**

## Responses

### 204 — Job scheduled successfully

### 400 — Request was malformed

### 500 — Request formatted correctly, error in Dapr code or Scheduler control plane service
